import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ChatGateway } from './chat.gateway';
import { ChatService } from './chat.service';
import { ChatController } from './chat.controller';
import { Message } from '../database/entities/message.entity';
import { ChatRoom } from '../database/entities/chat-room.entity';
import { MessageMedia } from '../database/entities/message-media.entity';
import { MessageMention } from '../database/entities/message-mention.entity';
import { User } from '../database/entities/user.entity';
import { EncryptionModule } from '../encryption/encryption.module';
import { NotificationModule } from '../notification/notification.module';
import { UsersModule } from '../users/users.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Message, ChatRoom, MessageMedia, MessageMention, User]),
    EncryptionModule,
    NotificationModule,
    UsersModule,
  ],
  providers: [ChatGateway, ChatService],
  controllers: [ChatController],
  exports: [ChatService],
})
export class ChatModule {}